Bug 587250 - The bindingAddress:port resource name for JBoss AS (both 4 and 5) is very ugly
Summary: The bindingAddress:port resource name for JBoss AS (both 4 and 5) is very ugly
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Plugins
Version: 3.0.0
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
: ---
Assignee: Lukas Krejci
QA Contact: Corey Welton
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 725852 jon24-naming
TreeView+ depends on / blocked
 
Reported: 2010-04-29 13:22 UTC by Lukas Krejci
Modified: 2011-07-27 17:46 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-08-12 16:51:56 UTC


Attachments (Terms of Use)

Description Lukas Krejci 2010-04-29 13:22:41 UTC
Description of problem:

The JBoss AS resources (for both AS4 and AS5 plugins) are named after the binding address and JNP port. I.e. by default they are called 0.0.0.0:1099 which is both nearly meaningless and ugly.

How reproducible:

always

Steps to Reproduce:
1. start a jboss as
2. let it be discovered by an agent
3. observe the autodiscovery queue in the RHQ server UI.
  
Actual results:

A JBoss AS resource is called something like 0.0.0.0:1099.

Expected results:

Something more meaningful. Ideally the name of the "significant" application deployed on the server or at least the same info as in previous versions of RHQ. I.e. hostname:jnpPort

Comment 1 Lukas Krejci 2010-04-29 13:46:47 UTC
Commit bb5e7a9 (in bugfixes branch) implements the second option, i.e.:
hostname:jnpPort

I'm leaving this bug open though to track the need to come up with something more clever.

Comment 2 Charles Crouch 2010-07-06 23:51:26 UTC
We can raise a new issue if there are better suggestions

Comment 3 Corey Welton 2010-07-07 19:57:01 UTC
So, I have three EAP5 instances running on a server, using different loopback ip addresss (127.0.0.1, 127.0.0.2, 127.0.0.3)

In the JON UI they appear (in alphanumeric order) as:
127.0.0.2:1099
127.0.0.3:1099
localhost.localdomain:1099

Is this what we are expecting?

Comment 4 Lukas Krejci 2010-07-12 09:02:37 UTC
that seems ok...

the 127.0.0.1 is resolved to a hostname because it probably has an entry in your /etc/hosts unlike the rest of the loopbacks you used.

Because you explicitly specified the binding addresses using the -b option, those binding addresses is what you see in the resource names. If you didn't specify the -b option (or explicitly set it to "0.0.0.0", i.e. all interfaces), the server would get the hostname of the machine it runs on (as reported by the system).

Comment 5 Corey Welton 2010-07-12 13:41:27 UTC
QA Verified.

Comment 6 Corey Welton 2010-08-12 16:51:56 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.